@font-face {
  font-family: 'Inter';
  src: url('../public/Inter.woff2');
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Inter', sans-serif;
}

body {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 100vh;
  font-size: 16px;
  line-height: 1.5;
  color: #333;
}

header {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 20px;
}

header h1 {
  font-weight: 300;
  margin-left: 10px;
}

.filter{
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.filter-icon{
  border: none;
  background-color: transparent;
}

.container {
  width: 500px;
  margin: 50px auto;
  padding: 20px;
}

.form-input {
  width: 100%;
  font-size: 18px;
  margin-bottom: 20px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  outline: none;
}

.form-input-filter {
  display: flex;
  position: relative;
  width: 100%;
  font-size: 18px;
  padding: 10px;
  border: none;
  border-bottom: 1px solid #ccc;
  background: transparent;
  outline: none;
}

.filter div{
  margin-top: 20px;
  margin-bottom: 20px;
  position: relative;
  width: -webkit-fill-available;
}

.filterInputDiv::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 2px;
  background-color: #333;
  transition: 0.3s;
  z-index: 1;
}

.animation::before {
  width: 100%;
}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  background-color: #333;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 10px 15px;
  cursor: pointer;
  transition: all ease-in-out 0.2s;
}

.btn:hover {
  background-color: #555;
}

.btn-link {
  font-size: 16px;
  background-color: transparent;
  color: #333;
  border: none;
  padding: 0;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.btn-clear {
  margin-top: 20px;
  width: 100%;
  font-size: 16px;
  background-color: transparent;
  color: #333;
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 10px 20px;
  cursor: pointer;
  transition: all ease-in-out 0.2s;
}

.btn-clear:hover {
  background-color: #f1f1f1;
}

.text-red {
  color: red;
}

.items {
  margin-top: 20px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

.items li {
  display: flex;
  justify-content: space-between;
  width: 45%;
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 10px 15px;
  margin: 0 5px 20px;
  font-weight: 700;
}

.items li span {
  display: flex;
  align-items: center;
  gap: 10px;
}

.items li span > input {
  cursor: pointer;
}

.summary {
  margin-top: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 10px 15px;
}

.error {
  display: none;
  color: red;
  margin-bottom: 20px;
}

footer {
  padding: 1rem;
  width: -webkit-fill-available;
  text-align: center;
}

a {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  height: 32px;
  width: 32px;
  padding: 0.6rem;
  transition: ease-in-out 0.3s;
  left: 1vw;
  top: 1rem;
  box-sizing: content-box;
}
a:hover {
  background-color: rgba(0, 0, 0, 0.7);
}

@media (max-width: 500px) {
  .items li {
    width: 100%;
  }
  .container {
    width: -webkit-fill-available;
  }
}